package admin_agent

import (
	"net/http"

	"bdrp-server/app/main/api/internal/logic/admin_agent"
	"bdrp-server/app/main/api/internal/svc"
	"bdrp-server/common/result"
)

func AdminGetSystemConfigHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		l := admin_agent.NewAdminGetSystemConfigLogic(r.Context(), svcCtx)
		resp, err := l.AdminGetSystemConfig()
		result.HttpResult(r, w, resp, err)
	}
}
